    PROGRAM d01gzfe

!      D01GZF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : d01gzf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: ndim = 4, nout = 6
!      .. Local Scalars ..
       INTEGER                         :: ifail, np1, np2
!      .. Local Arrays ..
       REAL (KIND=nag_wp)              :: vk(ndim)
!      .. Executable Statements ..
       WRITE (nout,*) 'D01GZF Example Program Results'

       np1 = 89
       np2 = 11

       ifail = 0
       CALL d01gzf(ndim,np1,np2,vk,ifail)

       WRITE (nout,*)
       WRITE (nout,99999) 'NDIM =', ndim, ' NP1 =', np1, ' NP2 =', np2
       WRITE (nout,*)
       WRITE (nout,99998) 'Coefficients =', vk(1:ndim)

99999  FORMAT (1X,A,I3,A,I6,A,I6)
99998  FORMAT (1X,A,4F6.0)
    END PROGRAM d01gzfe
